Subject: linux-next: manual merge of the akpm-current tree with the ext4 tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 27 May 2014 18:09:43 +1000

Hi Andrew,

Today's linux-next merge of the akpm-current tree got a conflict in
fs/ext4/page-io.c between commit a3f79014dc44 ("ext4: fix zeroing of
page during writeback") from the ext4 tree and commit 97527831700a
("fs/buffer.c: remove block_write_full_page_endio()") from the
akpm-current tree.

I fixed it up (see below) and can carry the fix as necessary (no action
is required).

-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc fs/ext4/page-io.c
index b6a3804a9855,1a64e7a52b84..000000000000
--- a/fs/ext4/page-io.c
+++ b/fs/ext4/page-io.c
@@@ -422,17 -418,6 +422,17 @@@ int ext4_bio_write_page(struct ext4_io_
  	ClearPageError(page);
  
  	/*
- 	 * Comments copied from block_write_full_page_endio:
++	 * Comments copied from block_write_full_page:
 +	 *
 +	 * The page straddles i_size.  It must be zeroed out on each and every
 +	 * writepage invocation because it may be mmapped.  "A file is mapped
 +	 * in multiples of the page size.  For a file that is not a multiple of
 +	 * the page size, the remaining memory is zeroed when mapped, and
 +	 * writes to that region are not written out to the file."
 +	 */
 +	if (len < PAGE_CACHE_SIZE)
 +		zero_user_segment(page, len, PAGE_CACHE_SIZE);
 +	/*
  	 * In the first loop we prepare and mark buffers to submit. We have to
  	 * mark all buffers in the page before submitting so that
  	 * end_page_writeback() cannot be called from ext4_bio_end_io() when IO